<mat-card>
  <form (ngSubmit)="search()" [formGroup]="form">
    <mat-form-field class="margin-left">
      <input (keyup)="search()" formControlName="search" matInput placeholder="Recherche" />
    </mat-form-field>
    <button
      mat-raised-button
      class="marginButton"
      type="button"
      (click)="exportCsvParticipants()"
    >
      Export participants
    </button>
    <button
      mat-raised-button
      class="marginButton"
      type="button"
      (click)="exportCsvRegime()"
    >
      Export régimes
    </button>
  </form>
  <div class="customPadding" id="table-container" *ngIf="!isLoading">
    <table mat-table [dataSource]="dataSource" matSort (matSortChange)="sortData($event)" class="mat-elevation-z8 demo-table">
      <ng-container matColumnDef="numero">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>N°</th>
        <td mat-cell *matCellDef="let bizuth">{{ bizuth.id }}</td>
      </ng-container>
      <ng-container matColumnDef="first_name">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Prénom</th>
        <td mat-cell *matCellDef="let bizuth">
          {{ bizuth.member.first_name }}
        </td>
      </ng-container>
      <ng-container matColumnDef="last_name">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Nom</th>
        <td mat-cell *matCellDef="let bizuth">
          {{ bizuth.member.last_name }}
        </td>
      </ng-container>
      <ng-container matColumnDef="dateInscription">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Date inscription</th>
        <td mat-cell *matCellDef="let bizuth">
          {{ bizuth.date_inscription | date: "d/M/yyyy hh:mm":"fr-FR" }}
        </td>
      </ng-container>
      <ng-container matColumnDef="dossierValide">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Dossier</th>
        <td mat-cell *matCellDef="let bizuth">
          <span *ngIf="dossierValide(bizuth); else dossierInvalid" class="oui"
            >Complet</span
          >
          <ng-template #dossierInvalid
            ><span class="non">Incomplet</span></ng-template
          >
        </td>
      </ng-container>
      <ng-container matColumnDef="paiementWEI">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Chèque WEI reçu</th>
        <td mat-cell *matCellDef="let bizuth">
          <span *ngIf="bizuth.paiement_recu; else nonPaye" class="oui"
            >oui</span
          >
          <ng-template #nonPaye><span class="non">non</span></ng-template>
        </td>
      </ng-container>
      <ng-container matColumnDef="paiementVA">
        <th mat-header-cell *matHeaderCellDef>Paiement VA reçu</th>
        <td mat-cell *matCellDef="let bizuth">
          <span
              *ngIf="bizuth.member.has_valid_membership; else chequevaU"
              class="oui"
              >MercaNET</span
            >
            <ng-template #chequevaU>
              <span
                *ngIf="bizuth.member.va_cheque_received; else nonPaye"
                class="oui"
                >oui</span
              >
            </ng-template>
            <ng-template #nonPaye><span class="non">non</span></ng-template>
        </td>
      </ng-container>
      <ng-container matColumnDef="caution">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Caution</th>
        <td mat-cell *matCellDef="let bizuth">
          <span *ngIf="bizuth.caution_valide; else nonCaution" class="oui"
            >oui</span
          >
          <ng-template #nonCaution
            ><span class="non">manquante</span></ng-template
          >
        </td>
      </ng-container>
      <ng-container matColumnDef="majeur">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Majeur</th>
        <td mat-cell *matCellDef="let bizuth">
          {{ bizuth.est_mineur ? "mineur" : "majeur" }}
        </td>
      </ng-container>
      <ng-container matColumnDef="autorisationParentale">
        <th mat-header-cell *matHeaderCellDef>Autorisation parentale</th>
        <td mat-cell *matCellDef="let bizuth">
          <span *ngIf="bizuth.est_mineur">
            <span
              *ngIf="bizuth.autorisation_parentale_valide; else nonParents"
              class="oui"
              >valide</span
            >
            <ng-template #nonParents
              ><span class="non">manquante</span></ng-template
            >
          </span>
          <span *ngIf="!bizuth.est_mineur">RAS</span>
        </td>
      </ng-container>
      <ng-container matColumnDef="rang">
        <th mat-header-cell *matHeaderCellDef>Rang</th>
        <td mat-cell *matCellDef="let bizuth">
          <span *ngIf="bizuth.rang != null">
            <span
              [ngClass]="{
                participant: bizuth.rang[0] === ' ',
                pontentialParticipant: bizuth.rang[0] === '~',
                waitingListe: bizuth.rang[0] === '+'
              }"
              >{{ bizuth.rang }}</span
            >
          </span>
        </td></ng-container
      >
      <ng-container matColumnDef="participant">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Participation</th>
        <td mat-cell *matCellDef="let bizuth">
          <span *ngIf="bizuth.participant; else nonparticipant" class="oui"
            >oui</span
          >
          <ng-template #nonparticipant
            ><span class="non">non</span></ng-template
          >
        </td>
      </ng-container>
      <ng-container matColumnDef="bus">
        <th mat-header-cell *matHeaderCellDef>Bus</th>
        <td mat-cell *matCellDef="let bizuth">
          <span *ngIf="bizuth.bus !== null">{{ bizuth.bus.nom }}</span>
        </td>
      </ng-container>
      <ng-container matColumnDef="bungalow">
        <th mat-header-cell *matHeaderCellDef>Bungalow</th>
        <td mat-cell *matCellDef="let bizuth">
          <span *ngIf="bizuth.bungalow !== null">{{
            bizuth.bungalow.nom
          }}</span>
        </td>
      </ng-container>
      <ng-container matColumnDef="actions">
        <th mat-header-cell *matHeaderCellDef>Actions</th>
        <td mat-cell *matCellDef="let bizuth">
          <button
            color="primary"
            mat-raised-button
            routerLink="/wei/bizuth/{{ bizuth.member.id }}"
          >
            Accéder
          </button>
        </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row (click)="openBizuthPage(row)"  *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </div>
  
</mat-card>
